
SET DEFINE OFF;

--
-- 
-- ___________________________________________________________________
--  /!\ ATTENTION /!\  fichier encodé en UTF-8   (  il peut  contenir des é è ç à î ê ô ... )
-- ___________________________________________________________________
--
--

--
-- 
-- Fichier:  n°2
-- Type: DML
-- Schéma:  ACCORDS
-- Numéro de version :  2.0.0.0
-- Date de publication :  26/10/2010
-- Auteur(s) : Michael Haller 
-- Licence : CeCILL version 2
--
--

--  /!\ /!\ /!\ /!\ /!\ /!\ /!\
-- ATTENTION :
--  il y a un nouveau paramètre dans ACCORDS.PARAMETRES: URL_COCOLIGHT
--  merci d'indiquer l'URL de l'application Cocolight 
--  cela permettra indirectement a l'application Coconut d'utiliser
--  le framework de gestion des personnes
--  /!\ /!\ /!\ /!\ /!\ /!\ /!\

/* **********************************************************************************
Evolution du schéma pour Cocolight, ajouts pour le support des conventions
 dans le cadre  de la recherche ou des stages, des contacts 
************************************************************************************* */

whenever sqlerror exit sql.sqlcode ;

INSERT INTO ACCORDS.TYPE_CLASSIFICATION_CONTRAT ( TCC_CODE, TCC_ID,TCC_LIBELLE ) VALUES ( 'CONV', 1, 'Convention'); 

INSERT INTO ACCORDS.INDICATEURS_CONTRAT (IC_CODE, IC_ID, IC_LIBELLE, IC_ORDRE) VALUES ('CAR', '1', 'Convention amelioree / reequilibree', '1');
INSERT INTO ACCORDS.INDICATEURS_CONTRAT (IC_CODE, IC_ID, IC_LIBELLE, IC_ORDRE) VALUES ('LIM', '2', 'Limitation de l''etendue de la responsabilite de l''etablissement', '2');

-- Correctif : renommage si besoin de SG en DGS
UPDATE ACCORDS.TYPE_CONTACT set TC_LIBELLE = 'Directeur général des services', TC_COMMENTAIRE = 'Directeur général des services', TC_LIBELLE_COURT = 'DGS' where TC_LIBELLE_COURT = 'SG';

INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='RESPONSABLE SCIENTIFIQUE' AND TC_LIBELLE_COURT='RS';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='RESPONSABLE ADMINISTRATIF' AND TC_LIBELLE_COURT='RA';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='AUTRE' AND TC_LIBELLE_COURT='NA';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='CONTACT ADMINISTRATIF' AND TC_LIBELLE_COURT='CNTA';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='INTERVENANT' AND TC_LIBELLE_COURT='INT';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='DIRECTEUR(TRICE) GENERAL(E) DES SERVICES' AND TC_LIBELLE_COURT='DGS';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='AGENT COMPTABLE' AND TC_LIBELLE_COURT='AC';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='DIRECTEUR(TRICE) DE LA CELLULE INFORMATIQUE' AND TC_LIBELLE_COURT='DSI';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='CONTACT FINANCIER' AND TC_LIBELLE_COURT='CF';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='COORDINATEUR DEPARTEMENTAL ERASMUS' AND TC_LIBELLE_COURT='CDE';
INSERT INTO ACCORDS.CORRESP_TYPE_CONTACT_ASSO SELECT TC_ORDRE,ASS_ID FROM GRHUM.ASSOCIATION,ACCORDS.TYPE_CONTACT WHERE ASS_LIBELLE='COORDINATEUR INSTITUTIONNEL' AND TC_LIBELLE_COURT='CINST';

Insert into ACCORDS.PARAMETRES (PARAM_ORDRE,PARAM_KEY,PARAM_VALUE,PARAM_COMMENTAIRES) values (14,'URL_COCOLIGHT','http://srv.domain.tld/cgi-bin/WebObjects/Cocolight.woa','URL de Cocolight');

Insert into accords.TYPE_PROJET (TPJT_ID,TPJT_CODE) values (1,'CONTRATS');
Insert into accords.PROJET(EXE_ORDRE,PJT_LIBELLE,PJT_ID,PJT_ID_PERE,TPJT_ID) values (null,'Contrats',1,null,1);

execute accords.update_data_v200;

commit;

